Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.build
Class ViewBuildResultsTable

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.build.ViewBuildResultsTable

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ViewBuildResultsTable

extends BambooActionSupport

This is an embedded action that's used to display

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewBuildResultsTable()`

Method Summary
`Pager` | `getPager()`
`List` | `getResultsList()`
`boolean` | `getSort()`
`boolean` | `isShowOperations()`
`void` | `setPager(Pager pager)`
`void` | `setResultsList(List results)`
`void` | `setShowOperations(boolean showOperations)`
`void` | `setSort(boolean sort)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ViewBuildResultsTable

    public ViewBuildResultsTable()

Method Detail

### getResultsList

    public List getResultsList()

### setResultsList

    public void setResultsList(List results)

### isShowOperations

    public boolean isShowOperations()

### setShowOperations

    public void setShowOperations(boolean showOperations)

### getSort

    public boolean getSort()

### setSort

    public void setSort(boolean sort)

### getPager

    public Pager getPager()

### setPager

    public void setPager(Pager pager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.